Social Fetch
LinkedIn

Search LinkedIn people

Search LinkedIn people by first and/or last name.

GET/v1/linkedin/people/search
2creditsper recordup to 100 credits
x-api-key*stringheader

API key (`sfk_...`)

Parameters
2
firstNamestringquery

First name filter. At least one of `firstName` or `lastName` is required.

max 128 chars

lastNamestringquery

Last name filter. At least one of `firstName` or `lastName` is required.

max 128 chars

Response fields
16

Endpoint-specific response payload.

datalookupStatus
string

Whether the people search completed for this request.

one of: found, not_found

People matching the search criteria.

datapeople[]name
string

Person display name.

min 1 chars

datapeople[]profileUrl
string

LinkedIn profile URL for this search result.

min 1 chars

datapeople[]subtitle
stringnullable

Subtitle line shown on the search result when available.

datapeople[]location
stringnullable

Location label when available.

datapeople[]experience
stringnullable

Experience summary string from LinkedIn search.

datapeople[]education
stringnullable

Education summary string from LinkedIn search.

datapeople[]imageUrl
stringnullable

Avatar image URL when available.

Summary counts for this search response.

datasummaryreturned
integer

Number of people returned in this response.

≥ 0

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/linkedin/people/search?firstName=James&lastName=Smith" \
  -H "x-api-key: YOUR_API_KEY"

Responses

People search results. Check `data.lookupStatus` and `data.people`.

On this page

No Headings